Support chat detail
curl --request GET \
--url https://mcp.echozero.app/api/v1/ai/support/chats/{conversationId} \
--header 'x-api-key: <api-key>'import requests
url = "https://mcp.echozero.app/api/v1/ai/support/chats/{conversationId}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://mcp.echozero.app/api/v1/ai/support/chats/{conversationId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://mcp.echozero.app/api/v1/ai/support/chats/{conversationId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://mcp.echozero.app/api/v1/ai/support/chats/{conversationId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"success": true,
"data": {
"conversationId": "<string>",
"status": "<string>",
"messageCount": 123,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"hasUnread": true,
"messages": [
{
"role": "<string>",
"content": "<string>",
"createdAt": "2023-11-07T05:31:56Z"
}
],
"resolutionPendingUserConfirm": true,
"ticketNumber": 123,
"supportTopic": "<string>",
"lastMessage": "<string>"
}
}{
"success": false,
"error": {
"code": "NOT_FOUND",
"message": "Resource not found"
}
}{
"success": false,
"error": {
"code": "NOT_FOUND",
"message": "Resource not found"
}
}{
"success": false,
"error": {
"code": "NOT_FOUND",
"message": "Resource not found"
}
}AI
Support chat detail
Mirrors GraphQL getSupportChat.
GET
/
api
/
v1
/
ai
/
support
/
chats
/
{conversationId}
Support chat detail
curl --request GET \
--url https://mcp.echozero.app/api/v1/ai/support/chats/{conversationId} \
--header 'x-api-key: <api-key>'import requests
url = "https://mcp.echozero.app/api/v1/ai/support/chats/{conversationId}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://mcp.echozero.app/api/v1/ai/support/chats/{conversationId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://mcp.echozero.app/api/v1/ai/support/chats/{conversationId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://mcp.echozero.app/api/v1/ai/support/chats/{conversationId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"success": true,
"data": {
"conversationId": "<string>",
"status": "<string>",
"messageCount": 123,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"hasUnread": true,
"messages": [
{
"role": "<string>",
"content": "<string>",
"createdAt": "2023-11-07T05:31:56Z"
}
],
"resolutionPendingUserConfirm": true,
"ticketNumber": 123,
"supportTopic": "<string>",
"lastMessage": "<string>"
}
}{
"success": false,
"error": {
"code": "NOT_FOUND",
"message": "Resource not found"
}
}{
"success": false,
"error": {
"code": "NOT_FOUND",
"message": "Resource not found"
}
}{
"success": false,
"error": {
"code": "NOT_FOUND",
"message": "Resource not found"
}
}Authorizations
Headers
HMAC-SHA256 signature: HMAC-SHA256(secretKey, timestamp + METHOD + path + body). Required for API-key authenticated requests (JWT/OAuth session auth is exempt).
Request timestamp in epoch milliseconds. Required with x-signature for API-key auth. Rejected if drift exceeds 5 minutes.
Path Parameters
⌘I